From 389b272f8696b86f594726544a8280e43cd2ffc6 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Thu, 19 Oct 2017 10:21:36 +1300
Subject: Fix Makefile.PL & Tests for '.' in @INC removal under Perl 5.26+

Bug: https://bugs.gentoo.org/615138
Bug: https://rt.cpan.org/Ticket/Display.html?id=121056
---
 Makefile.PL | 1 +
 t/drivers.t | 2 ++
 t/mock.t    | 2 ++
 3 files changed, 5 insertions(+)

diff --git a/Makefile.PL b/Makefile.PL
index 08468ac..ab60784 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -1,3 +1,4 @@
+use lib '.';
 use inc::Module::Install;
 name('Clipboard');
 author('Ryan King <rking@panoptic.com>');
diff --git a/t/drivers.t b/t/drivers.t
index 1ae7014..de2478f 100644
--- a/t/drivers.t
+++ b/t/drivers.t
@@ -1,3 +1,5 @@
+use File::Spec::Functions qw(rel2abs);
+use lib rel2abs('.');
 use Test::Clipboard;
 use strict; # XXX make Test::Clipboard do this
 my %map = qw(
diff --git a/t/mock.t b/t/mock.t
index fbd76f0..2a50ebb 100644
--- a/t/mock.t
+++ b/t/mock.t
@@ -1,3 +1,5 @@
+use File::Spec::Functions qw(rel2abs);
+use lib rel2abs('.');
 use Test::Clipboard;
 use Test::MockClipboard;
 use strict; # XXX make Test::Clipboard do this
-- 
2.14.2

